# Function ToFormMethod

- ToFormMethod<T, FormMethod, R, P>(call): Method<R, P>

- #### Type Parameters

  - T
  - FormMethod extends Method<R, P>
  - R
  - P

  #### Parameters

  - call: ((value) => R | Promise<R>)
    - - (value): R | Promise<R>

      - #### Parameters

        - value: P

        #### Returns R | Promise<R>

  #### Returns Method<R, P>

  - Defined in packages/angular/forms/src/lib/directives/models.ts:30